function [ data ] = prozess_typ( data)
% fixiert Prozesstyp und stellt Auswahl zur verfuegung
axes(data.prozesse_ax);

switch data.prozess1typ
    case 1 %isotherm
        set(data.prozess1_V_checkb,'visible','on','value',1);
        set(data.prozess1_p_checkb,'visible','on','value',0);
        set(data.prozess1_T_checkb,'visible','off');
        data.prozess1_var=3;
        
    case 2 %isobar
        set(data.prozess1_T_checkb,'visible','on','value',0);
        set(data.prozess1_V_checkb,'visible','on','value',1);
        set(data.prozess1_p_checkb,'visible','off');
        data.prozess1_var=3;
        
    case 3 %isochor
        set(data.prozess1_T_checkb,'visible','on','value',1);
        set(data.prozess1_p_checkb,'visible','on','value',0);
        set(data.prozess1_V_checkb,'visible','off');
        data.prozess1_var=1;
        
    case 4 %adiabatisch
        set(data.prozess1_T_checkb,'visible','on','value',0);
        set(data.prozess1_V_checkb,'visible','on','value',1);
        set(data.prozess1_p_checkb,'visible','on','value',0);
        data.prozess1_var=3;

    case 5 %polytrop
        set(data.prozess1_T_checkb,'visible','on','value',0);
        set(data.prozess1_V_checkb,'visible','on','value',1);
        set(data.prozess1_p_checkb,'visible','on','value',0);
        data.prozess1_var=3;

end

switch data.prozess2typ
    case 1 %isotherm
        set(data.prozess2_T_checkb,'visible','off');
        set(data.prozess2_V_checkb,'visible','on','value',1);
        set(data.prozess2_p_checkb,'visible','on','value',0);
        data.prozess2_var=3;
    case 2 %isobar
        set(data.prozess2_p_checkb,'visible','off');
        set(data.prozess2_V_checkb,'visible','on','value',1);
        set(data.prozess2_T_checkb,'visible','on','value',0);
        data.prozess2_var=3;
    case 3 %isochor
        set(data.prozess2_V_checkb,'visible','off');
        set(data.prozess2_p_checkb,'visible','on','value',0);
        set(data.prozess2_T_checkb,'visible','on','value',1);
        data.prozess2_var=1;
    case 4 %adiabatisch
        set(data.prozess2_T_checkb,'visible','on','value',0);
        set(data.prozess2_V_checkb,'visible','on','value',1);
        set(data.prozess2_p_checkb,'visible','on','value',0);
        data.prozess2_var=3;

    case 5 %polytrop
        set(data.prozess2_T_checkb,'visible','on','value',0);
        set(data.prozess2_V_checkb,'visible','on','value',1);
        set(data.prozess2_p_checkb,'visible','on','value',0);
        data.prozess2_var=3;
end


set(data.variablen_but,'visible','on');
set(data.prozess_but,'visible','off');

%Checkboxes inaktiv setzen
set(data.prozess1_isotherm,'enable','off');
set(data.prozess1_isobar,'enable','off');
set(data.prozess1_isochor,'enable','off');
set(data.prozess1_adiabatisch,'enable','off');
set(data.prozess1_polytrop,'enable','off');

set(data.prozess2_isotherm,'enable','off');
set(data.prozess2_isobar,'enable','off');
set(data.prozess2_isochor,'enable','off');
set(data.prozess2_adiabatisch,'enable','off');
set(data.prozess2_polytrop,'enable','off');

set(data.prozess3_isotherm,'enable','off');
set(data.prozess3_isobar,'enable','off');
set(data.prozess3_isochor,'enable','off');
set(data.prozess3_adiabatisch,'enable','off');
set(data.prozess3_polytrop,'enable','off');

set(data.prozess4_isotherm,'enable','off');
set(data.prozess4_isobar,'enable','off');
set(data.prozess4_isochor,'enable','off');
set(data.prozess4_adiabatisch,'enable','off');
set(data.prozess4_polytrop,'enable','off');

%Checkboxes aktiv setzen
set(data.prozess1_T_checkb,'enable','on');
set(data.prozess1_V_checkb,'enable','on');
set(data.prozess1_p_checkb,'enable','on');

set(data.prozess2_T_checkb,'enable','on');
set(data.prozess2_V_checkb,'enable','on');
set(data.prozess2_p_checkb,'enable','on');
end

